using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TaskDatabase.Model
{
    public class TaskModel
    {
        public virtual int Tid { get; set; }
        [JsonProperty(PropertyName = "id")]
        public virtual int Id { get; set; }
        [JsonProperty(PropertyName = "name")]
        public virtual string Task_name { get; set; }
        [JsonProperty(PropertyName = "cmd")]
        public virtual string Task_cmd { get; set; }
        [JsonProperty(PropertyName = "param")]
        public virtual string Task_param { get; set; }
        [JsonProperty(PropertyName = "status")]
        public virtual int Task_status { get; set; }
        [JsonProperty(PropertyName = "resultJson")]
        public virtual string Task_result_json { get; set; }
        [JsonProperty(PropertyName = "expectedFinishTime")]
        public virtual long Task_expected_finish_time { get; set; }
        public virtual DateTime Task_add_time { get; set; }
        [JsonProperty(PropertyName = "downloadTaskList")]
        public virtual ICollection<DownloadTaskModel> DownloadTaskModelList { get; set; }
    }
    
}
